module CompletenessModel

  module ClassMethods

    def total_columns
      column_names.count  
    end

    def all_columns
      column_names  
    end
  
  end

  module InstanceMethods

    def filled_columns
      counter = 0
      self.class.all_columns.each do |column|
        if self.attributes[column].present?
          counter += 1 
        end
      end
      counter
    end

    def completeness
      "#{(filled_columns * 100) / self.class.total_columns} %"
    end

  end

end
